<template>
  <div class="card">
    <img src="@/assets/star.svg" :alt="icon">
    <p class="caption">{{ text }}</p>
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
import Component from 'vue-class-component';
import { Prop } from 'vue-property-decorator';

export interface IAboutItem {
  text: string;
  icon: string;
}

@Component({
  props: {
    text: { type: String, required: true },
    icon: { type: String, required: true },
  },
})
export default class AboutItem extends Vue {}
</script>

<style lang="postcss" scoped>
.card {
  @apply min-h-64 max-w-sm;
  @apply rounded shadow-lg;
  @apply mx-10 my-4 py-4 px-6;
  @apply flex flex-col justify-around;
}

.caption {
  @apply my-4;
  @apply text-gray-600 text-center text-sm;
}

@screen md {
  .card {
    @apply max-w-xs;
    @apply mx-2;
  }
}

@screen lg {
  .card {
    @apply shadow-none;
    @apply justify-start;
  }

  .caption {
    @apply mt-12;
  }
}
</style>
